Subject: bug#20614: Segmentation fault when building on Power8 Little Endian

From: Eli Zaretskii <[email-masked]>
Date: Wed, 23 Sep 2015 14:14:22 +0300

> Cc: [email-masked]
> From: Petr Hracek <[email-masked]>
> Date: Wed, 23 Sep 2015 13:00:03 +0200
> 
> Nowadays with binutils-2.23.52.0.1-54 I am not able to build emacs at all.

What does this mean, exactly?  Does Emacs crash during dumping?  If
so, a good starting point is to show the backtrace from the crash, and
the values of the variables involved in the crash.

> What I can do is to add several tracking information like traces which can be
> added to source code during the build.
> Any advice would be welcome and I will do it really soon. 
> Question from my side, how to add traces so that I am able to see data?

If you run Emacs under GDB, you don't need any traces: GDB allows to
look at variables without any tracing code.